> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT owner by token

> Get the current owner for a specified NFT token.



## OpenAPI

````yaml get /v1/nft/owner
openapi: 3.0.2
info:
  title: 🖼 NFT API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/nft/owner:
    get:
      tags:
        - NFT Ownership
      summary: Get NFT owner by token
      description: Get the current owner for a specified NFT token.
      operationId: GetNFTOwner
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: integer
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: The address of the NFT contract
          required: true
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: The address of the NFT contract
          example: '0xed5af388653567af2f388e6224dc7c4b3241c544'
          name: contract_address
          in: query
        - description: NFT token id in hex or num string
          required: true
          schema:
            title: Token Id
            type: string
            description: NFT token id in hex or num string
          example: '1'
          name: token_id
          in: query
        - description: block decimal number, hex number or 'latest'
          required: false
          schema:
            title: To Block
            type: string
            description: block decimal number, hex number or 'latest'
          example: latest
          name: to_block
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetNFTOwner'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetNFTOwner:
      title: ResponseGetNFTOwner
      required:
        - data
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          title: Data
          type: string
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string

````